<?php
	$page_title = 'Programmer, exécuter et traduire des algorithmes pour toutes les calculatrices';
	require_once('includes/header.php');
?>
			
	<article id="programm">
		<p class="current_language">
			Vous programmez en<br/>
			<span id="langage_algo">algorithme</span>
			<span id="langage_casio">Basic Casio</span>
			<span id="langage_ti">Ti-Basic</span>
		</p>

		<div class="top_buttons">
			<img class="icone" id="entrees-sorties" alt="Entrées/Sorties" title="Entrées/Sorties" src="assets/img/programm/editor/entrees-sorties.png"/>
			<img class="icone" id="conditions" alt="Conditions" title="Conditions" src="assets/img/programm/editor/conditions.png"/>
			<img class="icone" id="boucles" alt="Boucles" title="Boucles" src="assets/img/programm/editor/boucles.png"/>
			<img class="icone" id="autres" alt="Autres" title="Autres" src="assets/img/programm/editor/autres.png"/>
			
			<ul id="dropdown_menu"></ul>
		</div>

		<p id="infos"><span id="info_contenu">Cliquez sur l'une des icônes, puis sélectionnez une <strong>instruction</strong>.</span></p>
		
		<aside class="action_buttons">
			<button class="conversion_algo">
				<img src="assets/img/programm/conversion_algo.png"/>
			</button>
			<button class="conversion_casio">
				<img src="assets/img/programm/conversion_casio.png"/>
			</button>
			<button class="conversion_ti">
				<img src="assets/img/programm/conversion_ti.png"/>
			</button>

			<button class="executer">
				<img src="assets/img/programm/executer.png"/>
			</button>
			<button class="pause">
				<img title="Pause" src="assets/img/programm/pause.png"/>
			</button>
			<button class="reset">
				<img src="assets/img/programm/reset.png"/>
			</button>
		</aside>

		<div class="editor">
			<div class="signes_container">
				<button class="signes" id="signe1">&ge;</button>
				<button class="signes" id="signe2">&le;</button>
				<button class="signes" id="signe3">&ne;</button>
				<button class="signes" id="signe4">&radic;</button>
				<button class="signes" id="signe5">^</button>
				<button class="signes" id="signe6">&pi;</button>
				<button class="signes" id="signe7">e</button>
				<button class="signes" id="signe8">ln</button>
			</div>
			<form name="code" class="code">
				<div id="disable"></div>
				<textarea cols="41" rows="22" name="Saisie" id="saisie" spellcheck="false" method="post" action="<?= $base_url ?>"></textarea></form>
		</div>

		<section id="debug">
			<div class="debug_title">
				<img src="assets/img/programm/attention.png"/>
				Erreurs de syntaxe :
			</div>
			<div class="debug_content">
			</div>
		</section>

		<div id="execution">
			<span>Exécution :</span>
			<div id="resultats"></div>
		</div>

		<div id="variables">
			<span>Variables :</span>
			
			<p class="vars" id="var_a"></p>
			<p class="vars" id="var_b"></p>
			<p class="vars" id="var_c"></p>
			<p class="vars" id="var_d"></p>
			<p class="vars" id="var_e"></p>
			<p class="vars" id="var_f"></p>
			<p class="vars" id="var_g"></p>
			<p class="vars" id="var_h"></p>
			<p class="vars" id="var_i"></p>
			<p class="vars" id="var_j"></p>
			<p class="vars" id="var_k"></p>
			<p class="vars" id="var_l"></p>
			<p class="vars" id="var_m"></p>
			<p class="vars" id="var_n"></p>
			<p class="vars" id="var_o"></p>
			<p class="vars" id="var_p"></p>
			<p class="vars" id="var_q"></p>
			<p class="vars" id="var_r"></p>
			<p class="vars" id="var_s"></p>
			<p class="vars" id="var_t"></p>
			<p class="vars" id="var_u"></p>
			<p class="vars" id="var_v"></p>
			<p class="vars" id="var_w"></p>
			<p class="vars" id="var_x"></p>
			<p class="vars" id="var_y"></p>
			<p class="vars" id="var_z"></p>
		</div>
	</article>
<?php
	require_once('includes/footer.php');
?>