<?php
	header('Content-type: text/html;charset=UTF-8');
	require_once('config.php');
?><!DOCTYPE html>
<html id="top">
    <head>
		<meta charset="utf-8" />

		<link rel="stylesheet" type="text/css" href="assets/css/stylesheet.css" />
		<link rel="stylesheet" type="text/css" href="assets/css/jquery/jquery.cleditor.css" />

		<title>Festiv'Algo - <?= $page_title ?></title>
		
		<meta name="keywords" content="festivalgo, Festiv'Algo, algobox, site, application gratuite, nitrosax, algorithme, algorithmique, programmation, Casio, TI, HP, apprendre, bac, mathématiques, ROC, nouveaux programmes, réformes" />
		<meta name="description" content="Vidéo de présentation de Festiv'Algo, une application pédagogique d'initiation à l'algorithmique dans l'esprit des nouveaux programmes de mathématiques. Une interface simple et interactive, des exemples, un tutoriel et un forum pour toutes vos questions." />
		<link rel="shortcut icon" type="image/x-icon" href="assets/img/theme/favicon_ie.ico">
    </head>

    <body>
		<div id="content">

			<header id="banner">
				<a href="<?= $base_url ?>">
					<img alt="Bannière Festiv'Algo" title="Festiv'Algo - l'algorithmique enfin accessible à tous !" src="assets/img/theme/banner.png"/>
				</a>
			</header>

			<nav id="menu">
				<a href="<?= $base_url ?>">Programmation</a>
				<a href="exemples.php">Exemples</a>
				<a href="aide.php#top">Aide</a>
				<a href="a_propos.php">À propos</a>
			</nav>

			<div id="contenu">
			
